public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/apparmor-utils/
Date: Sat, 24 Dec 2022 07:11:41 +0000 (UTC)	[thread overview]
Message-ID: <1671865683.bba64beda1f100a5586dfaf7bb68e03bf8b07a44.sam@gentoo> (raw)

commit:     bba64beda1f100a5586dfaf7bb68e03bf8b07a44
Author:     Ilya Mochalov <chrootsu <AT> gmail <DOT> com>
AuthorDate: Sun Nov 27 21:54:33 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 07:08:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bba64bed

sys-apps/apparmor-utils: update to 3.0.8

Signed-off-by: Ilya Mochalov <chrootsu <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/apparmor-utils/Manifest                   |  1 +
 .../apparmor-utils/apparmor-utils-3.0.8.ebuild     | 87 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/sys-apps/apparmor-utils/Manifest b/sys-apps/apparmor-utils/Manifest
index 1908e085a0ca..e8a4e202d60a 100644
--- a/sys-apps/apparmor-utils/Manifest
+++ b/sys-apps/apparmor-utils/Manifest
@@ -1,2 +1,3 @@
 DIST apparmor-3.0.3.tar.gz 7790012 BLAKE2B aada9c32c2cde4a110cbd1d626ec00b08e29e76182185752e5c23e2ec0c2668a732ffdf1eb1660bd8bc294188ccf0da42b4282939f5969a6aed39084be00769c SHA512 bbf26377e60da60dab56473ee5af15aa0f3fdf2f2a61dbfcdeba12a925afda3bc6a0f6cc31e07927400425b8c3b3649833f448d8674044c7274ef06923ab48b5
 DIST apparmor-3.0.4.tar.gz 7796852 BLAKE2B 831ea65ed0972ad8a6e335e438e7b0a8a2a3977dc4360ad1923d48cc7b21b1941ec011d3894d8bdc98934b953a3f1d89a859fc27ec2530f5dd9b3cc850fe66f0 SHA512 1edd800771f46fab9bc5274842e64482b7fd4a5ba4de9855d621baf1d08c8236bfa7752dd9ab3dee095f8e0798129241a9aebf68ed1c994ae5597086a4a1a8ca
+DIST apparmor-3.0.8.tar.gz 7946880 BLAKE2B bbff6c0223b9f20cb53d96cb2e41aa4b7eee51b35a2c010cdd394f85517e87c9a34fb7182f600ba212e99baf4ee1a16a5bfd7e92ec6a9fb9ce6076a216cd89e1 SHA512 539e955b24c6f4f62ef0d7885fc341e4f6bc69ee840981426fb6a40f8f8e5c945f774246cb0efe1a76e778b8047d4a7fe315ab062d2dbe17e524b8527d5a8087

diff --git a/sys-apps/apparmor-utils/apparmor-utils-3.0.8.ebuild b/sys-apps/apparmor-utils/apparmor-utils-3.0.8.ebuild
new file mode 100644
index 000000000000..0ef73bf6738b
--- /dev/null
+++ b/sys-apps/apparmor-utils/apparmor-utils-3.0.8.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit perl-module python-r1 toolchain-funcs
+
+MY_PV="$(ver_cut 1-2)"
+
+DESCRIPTION="Additional userspace utils to assist with AppArmor profile management"
+HOMEPAGE="https://gitlab.com/apparmor/apparmor/wikis/home"
+SRC_URI="https://launchpad.net/apparmor/${MY_PV}/${PV}/+download/apparmor-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test"
+
+COMMON_DEPEND="
+	dev-lang/perl
+	~sys-libs/libapparmor-${PV}
+	${PYTHON_DEPS}"
+DEPEND="${COMMON_DEPEND}
+	sys-devel/gettext
+"
+RDEPEND="${COMMON_DEPEND}
+	~sys-libs/libapparmor-${PV}[perl,python,${PYTHON_USEDEP}]
+	~sys-apps/apparmor-${PV}
+	dev-perl/Locale-gettext
+	dev-perl/RPC-XML
+	dev-perl/TermReadKey
+	dev-python/notify2[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	virtual/perl-Data-Dumper
+	virtual/perl-Getopt-Long"
+
+S=${WORKDIR}/apparmor-${PV}
+
+src_prepare() {
+	default
+
+	sed -i binutils/Makefile \
+		-e 's/Bstatic/Bdynamic/g' || die
+
+	sed -i utils/aa-remove-unknown \
+		-e 's#^\(APPARMOR_FUNCTIONS=\).*#\1/usr/libexec/rc.apparmor.functions#' || die
+}
+
+src_compile() {
+	python_setup
+
+	pushd utils > /dev/null || die
+	# launches non-make subprocesses causing "make jobserver unavailable"
+	# error messages to appear in generated code
+	emake -j1
+	popd > /dev/null || die
+
+	pushd binutils > /dev/null || die
+	export EXTRA_CFLAGS="${CFLAGS}"
+	emake CC="$(tc-getCC)" USE_SYSTEM=1
+	popd > /dev/null || die
+}
+
+src_install() {
+	pushd utils > /dev/null || die
+	perl_set_version
+	emake DESTDIR="${D}" PERLDIR="${D}/${VENDOR_LIB}/Immunix" \
+		VIM_INSTALL_PATH="${D}/usr/share/vim/vimfiles/syntax" install
+
+	install_python() {
+		local -x PYTHONDONTWRITEBYTECODE=
+		"${PYTHON}" "${S}"/utils/python-tools-setup.py install --prefix=/usr \
+			--root="${D}" --optimize 2 --version=${PV}
+	}
+
+	python_foreach_impl install_python
+	python_replicate_script "${D}"/usr/bin/aa-easyprof \
+		"${D}"/usr/sbin/aa-{audit,autodep,cleanprof,complain,disable,enforce,genprof,logprof,mergeprof,unconfined}
+	popd > /dev/null || die
+
+	pushd binutils > /dev/null || die
+	emake install DESTDIR="${D}" USE_SYSTEM=1
+	popd > /dev/null || die
+}


             reply	other threads:[~2022-12-24  7:11 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-24  7:11 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-03  8:06 [gentoo-commits] repo/gentoo:master commit in: sys-apps/apparmor-utils/ Sam James
2024-06-03  8:06 Sam James
2024-01-03 22:30 Sam James
2023-11-05  9:54 Sam James
2023-11-05  9:54 Sam James
2023-07-15 15:07 Arthur Zamarin
2023-06-26 19:50 Sam James
2023-06-26 19:50 Sam James
2023-06-01 21:28 Sam James
2023-06-01 21:23 Sam James
2023-06-01  5:20 Sam James
2023-06-01  5:20 Sam James
2023-06-01  5:20 Sam James
2022-12-20 20:54 Arthur Zamarin
2022-12-20 20:39 Sam James
2022-10-18 16:32 Jakov Smolić
2022-09-02  4:40 Arthur Zamarin
2022-09-01 22:39 Sam James
2022-06-24  8:41 Michael Palimaka
2022-06-17  6:54 Agostino Sarubbo
2022-06-17  1:10 Sam James
2022-06-17  1:10 Sam James
2022-06-17  1:10 Sam James
2022-03-05  0:05 Sam James
2021-11-12  2:09 Sam James
2021-05-31 21:00 Michał Górny
2021-05-27  8:21 Michael Palimaka
2020-12-08  7:04 Michael Palimaka
2020-12-03  9:23 Michael Palimaka
2020-10-19  9:29 Michael Palimaka
2020-10-10  9:44 Michael Palimaka
2020-05-07 13:41 Michael Palimaka
2020-05-07 13:41 Michael Palimaka
2020-04-21  8:51 Michael Palimaka
2020-03-19  8:20 Michael Palimaka
2019-12-02  9:29 Michael Palimaka
2019-08-18  8:13 Michael Palimaka
2019-08-06 11:27 Michael Palimaka
2019-04-01 10:13 Michael Palimaka
2019-03-28 13:17 Michael Palimaka
2019-03-07 11:27 Michael Palimaka
2019-03-07 11:03 Michael Palimaka
2018-01-01  2:59 Michael Palimaka
2017-11-03 13:59 Michael Palimaka
2017-10-30 12:53 Michael Palimaka
2017-06-18  9:05 Pacho Ramos
2017-06-18  5:55 Michael Palimaka
2017-04-20 16:41 David Seifert
2017-01-11 16:24 Michael Palimaka
2016-05-25 18:10 Michael Palimaka
2016-05-25 17:50 Michael Palimaka
2016-01-12 16:11 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1671865683.bba64beda1f100a5586dfaf7bb68e03bf8b07a44.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox